### Property

# Camel NetworkSettings:auth-mechanism

#### Declaration

    property auth-mechanism: utf8 [ read, write, construct ]

#### Description [src]

Authentication mechanism name.

Type:`gchar*`

Default value | NULL
Getter method | `camel_network_settings_get_auth_mechanism()`
Setter method | `camel_network_settings_set_auth_mechanism()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no